: Class ServletServer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTTP.Configure
Class ServletServer

    java.lang.Object
      |
      +--com.mortbay.HTTP.Configure.BaseConfiguration
            |
            +--com.mortbay.HTTP.Configure.ServletServer

public class ServletServer
extends BaseConfiguration

Simple servlet configuration The HTTP configuration allows a single servlet to be configured and served from command line options.

Usage

     java com.mortbay.HTTP.Configure.FileServer [-help] [port  [urlPath [classPath]]]

Version:
  $Id: ServletServer.java,v 2.7 2000/09/15 21:23:43 bretts Exp $
Author:
  Greg Wilkins
See Also:
  `HttpConfiguration`

Fields inherited from class com.mortbay.HTTP.Configure.BaseConfiguration
`addresses, attributes, exceptionHandlersMap, httpHandlersMap, listenerClasses, mimeMap, properties`

Constructor Summary
`ServletServer(int port, java.lang.String servletPath, java.lang.String classPath)`

Method Summary
`static void` | `main(java.lang.String[] args)` Sample Main Configures the Dump servlet and starts the server

Methods inherited from class com.mortbay.HTTP.Configure.BaseConfiguration
`addresses, exceptionHandlersMap, getAttribute, getMimeByExtension, getMimeType, getProperties, getProperty, httpHandlersMap, listenerClasses, log, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletServer

    public ServletServer(int port,
                         java.lang.String servletPath,
                         java.lang.String classPath)
                  throws java.io.IOException

Method Detail

### main

    public static void main(java.lang.String[] args)

  Sample Main Configures the Dump servlet and starts the server

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD